## kdebase-1.1.2.tar.bz2

=== bsd-port/Makefile ===
# New ports collection makefile for:   kdebase
# Version required:    1.1
# Date created:        18 June 1998
# Whom:                Alex Zepeda <garbanzo@hooked.net
#
# $Id: Makefile,v 1.7 1999/02/06 02:43:06 garbanzo Exp $
#
PKGNAME=	kdebase-`date "+%y%m%d"`
CATEGORIES=	x11 kde

MAINTAINER=	garbanzo@hooked.net

BUILD_DEPENDS=	autoconf:${PORTSDIR}/devel/autoconf \
		automake:${PORTSDIR}/devel/automake
INSTALL_ROOT=	${.CURDIR}/${PKGNAME}
USE_QT=		yes
LIB_DEPENDS=    gif.3:${PORTSDIR}/graphics/giflib \
                jpeg.9:${PORTSDIR}/graphics/jpeg \
                kdecore.2:${PORTSDIR}/x11/kdelibs11 \
                Xpm.4:${PORTSDIR}/graphics/xpm
 

LIB_DEPENDS=	gif.3]:${PORTSDIR}/graphics/giflib \
		jpeg.9:${PORTSDIR}/graphics/jpeg \
		kdecore.2:${PORTSDIR}/x11/kdelibs11 \
		kdeui.2:${PORTSDIR}/x11/kdelibs11 \
		jscript.2:${PORTSDIR}/x11/kdelibs11 \
		khtmlw.2:${PORTSDIR}/x11/kdelibs11 \
		kfm.2:${PORTSDIR}/x11/kdelibs11 \
		mediatool.2:${PORTSDIR}/x11/kdelibs11
NO_MTREE=	yup
USE_GMAKE=	"without a doubt"
NO_WRKSUBDIR=	"Cause, you've obviously got the source in the parent directory"
WRKSRC=		../
EXTRACT_ONLY=	"yes, please"
HAS_CONFIGURE=	yes
CONFIGURE_ARGS=	"--prefix=$(PREFIX)" \
		"--x-inc=$(X11BASE)/include" \
		"--x-lib=$(X11BASE)/lib" \
		"--with-install-root=$(INSTALL_ROOT)" \
		"--with-extra-includes=$(PREFIX)/include/giflib"
INSTALL_TARGET=	RUN_KAPPFINDER=no install

.include "kde-snapshot.mk"
.include <bsd.port.mk>

=== debian/changelog ===
kdebase (4:1.1.1-19990901-1) unstable; urgency=low

  * New upstream CVS version
  * Fixes problem with postrm script giving error.

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 01 Sep 1999 13:00:27 -0400

kdebase (4:1.1.1-19990827-1) unstable; urgency=low

  * New upstream CVS version
  * Re-Writing post/pre scripts to follow debian policy a bit more as well
    as verify validity of install/remove process...in the process cleaned
    up a couple of bugs I had overlooked before

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 27 Aug 1999 02:00:27 -0400

kdebase (4:1.1.1-19990818-1) unstable; urgency=low

  * New upstream CVS version
  * Fixing dependency issues with qt
  * Building with pam unlike the last couple

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 18 Aug 1999 02:30:27 -0400

kdebase (4:1.1.1-19990817-1) unstable; urgency=low

  * New upstream CVS version

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 17 Aug 1999 11:45:27 -0400

kdebase (4:1.1.1-19990812-1) unstable; urgency=low

  * New upstream CVS version

 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 12 Aug 1999 14:45:27 -0400

kdebase (4:1.1.1-19990803-1) unstable; urgency=low

  * New upstream CVS version
  * kvt pty issue solved

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 03 Aug 1999 12:15:27 -0400

kdebase (4:1.1.1-19990717-3) unstable; urgency=low
 
  * Fixes LOGNAME issue with kdm (hopefully?)
 
 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 21 Jul 1999 20:15:27 -0400
                                                                                kdebase (4:1.1.1-19990717-2) unstable; urgency=low

  * Fixes LOGNAME issue with kdm

 -- Ivan E. Moore II <rkrusty@debian.org>  Wed, 21 Jul 1999 13:50:27 -0400

kdebase (4:1.1.1-19990717-1.2) unstable; urgency=low

  * Fixing pam issue.  (trying to keep up with CVS is a pain at times)

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 20 Jul 1999 03:00:27 -0400

kdebase (4:1.1.1-19990717-1.1) unstable; urgency=low

  * fixing rman issue

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 18 Jul 1999 22:45:27 -0400

kdebase (4:1.1.1-19990717-1) unstable; urgency=low

  * New upstream CVS version

 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 17 Jul 1999 01:45:27 -0400

kdebase (4:1.1.1-19990701-1) unstable; urgency=low

  * New upstream CVS version 
  * This is pre-1.1.2 (frozen)

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 01 Jul 1999 23:45:27 -0400

kdebase (4:1.1.1-19990624-1) unstable; urgency=low

  * Fixing some missing documentation for kdm.  
  * Fixing some postinst/preinst issues with kdm/kdebase
  * New upstream CVS version (pull)

 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 24 Jun 1999 05:15:27 -0400

kdebase (4:1.1.1-19990620-2) unstable; urgency=low

  * Fixing kdm postinst script issue when /usr/X11R6/lib/X11/kdm doesn't
    exist
  * Changing kdm.postinst script so that it relies soely on the 
    /etc/X11/window-managers file.

 -- Ivan E. Moore II <rkrusty@debian.org>  Tue, 22 Jun 1999 19:00:27 -0400

kdebase (4:1.1.1-19990620-1) unstable; urgency=low

  * Adding another Pre-Depends I missed
  * Adding a Suggests for libpam-modules (since slink users probably
    won't use pam, but potato users do and this is required)
  * Changing how kde is added to the /etc/X11/windows-manages file
    Using the wm manager program within Debian.  
  * Adding in more checks to clean out old configurations

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 20 Jun 1999 19:30:27 -0400

kdebase (4:1.1.1-19990612-3) unstable; urgency=low

  * Adding in a Pre-Depends for xbase-clients that I had missed
    Thanks Thomas!
  * Fixed an error in the kdm-config file that was pointing to a xdm file

 -- Ivan E. Moore II <rkrusty@debian.org>  Thu, 17 Jun 1999 08:15:27 -0400

kdebase (4:1.1.1-19990612-2) unstable; urgency=low

  * remove the .gmo files on clean
  * minor fixes to kdm.postinst and rules 
  * Minor updates to kderules script
  * Adding in a workaround for kdisknav's KDE directory listings

 -- Stephan Kulow <coolo@kde.org>  Sun, 13 Jun 1999 19:30:27 +0200

kdebase (4:1.1.1-19990612-1) unstable; urgency=low

  * New CVS upstream version
  * kthememgr is now a part of kdebase

 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 12 Jun 1999 03:30:55 -0400

kdebase (4:1.1.1-19990529-2) unstable; urgency=low

  * Fixing some pam stuff which includes a /etc/pam.d/kde file, making
    the pam name=kde so that it uses the /etc/pam.d/kde file instead of
    xdm, kdm, or whatever.
  * Fixing the linux fonts for konsole.
  * Fixing the /var/state/kdm issue

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 31 May 1999 17:45:55 -0400

kdebase (4:1.1.1-19990529-1) unstable; urgency=low

  * Down to just one lintian warning. (that will probably stay)
  * Fixing final issues with package.  This includes cleaned up kdmrc output
    postrm scripts, and removal of final lintian errors.
  * Making kdm not require xdm

 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 29 May 1999 22:00:55 -0400

kdebase (4:1.1.1-19990523-1) unstable; urgency=low

  * Fixing kappfinder issue
  * More postinst script fix's

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 23 May 1999 04:00:55 -0400

kdebase (4:1.1.1-19990516-1) unstable; urgency=low

  * migrating kdm into it's own package
  * fixing i18n build issues

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 16 May 1999 06:00:55 -0400

kdebase (4:1.1.1-19990424-1) unstable; urgency=low

  * new upstream version for KDE 1.1.1

 -- Stephan Kulow <coolo@kde.org>  Sat, 24 Apr 1999 16:53:55 +0200

kdebase (4:1.1-19990306-2) unstable; urgency=low

  * fixing some "lintian" problems

 -- Stephan Kulow <coolo@kde.org>  Sat, 13 Mar 1999 11:18:33 +0100

kdebase (4:1.1-19990306-1) unstable; urgency=low

  * new upstream version out of CVS (many translation updates and some
    security fixes

 -- Stephan Kulow <coolo@kde.org>  Sat,  6 Mar 1999 18:03:04 +0100

kdebase (4:1.1-19990217-1) unstable; urgency=low

  * new upstream version



=== debian/control ===
Source: kdebase
Section: contrib/x11
Priority: optional
Maintainer: Stephan Kulow <coolo@kde.org>
Standards-Version: 2.5.1

Package: kdebase
Architecture: any
Depends: menu (>=1.5-5), ${shlibs:Depends}, rman, xfree86-common
Suggests: kdewallpapers, kdm, kdeadmin, kdegames, kdegraphics, kdemultimedia, kdenetwork, kdetoys, kdeutils, korganizer, kdebase-doc, kdebase-i18n, xbase-clients
Description: KDE core applications
 This is a suite of all kde core applications :
 file manager kfm, window manager kwm
 and others.

Package: kdewallpapers
Suggests: kdebase
Architecture: all
Description: Some wallpapers for KDE 
 Some wallpapers for KDE

Package: kdebase-i18n
Depends: kdebase
Architecture: all
Description: Translations of applications in kdebase.
 It contains translations into 31 languages

Package: kdm
Depends: cpp, ${shlibs:Depends}
Suggests: kdewallpapers, kdebase, kdebase-i18n, libpam-modules
Architecture: any
Description: The K Desktop Manager
 The K Desktop Manager

Package: kdebase-doc
Section: contrib/doc
Suggests: kdebase, kdm
Architecture: all
Description: Documentation for Applications in kdebase
 All the documentation for all the Applications in kdebase

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

BUILDDIR = ./build

build: $(BUILDDIR)/build-stamp

$(BUILDDIR)/build-stamp:
	dh_testdir
	if test ! -f configure; then \
	  $(MAKE) -f admin/Makefile.common ;\
	fi 
	$(MAKE) -f Makefile.cvs
	test -d $(BUILDDIR) || mkdir $(BUILDDIR) ;\
	if test ! -f $(BUILDDIR)/config.status; then \
	cd $(BUILDDIR) ;\
	CFLAGS="-O2 -g -Wall -Wno-uninitialized -DUTMP_SUPPORT \
	  -DUTMP='\"/var/run/utmp\"'" \
	  CXXFLAGS="-O2 -g -Wall -Wno-uninitialized" \
	  RUN_KAPPFINDER="no" \
	../configure --with-shadow --without-pam \
	--with-install-root=`pwd`/../debian/tmp --with-qt-dir=/usr/lib/qt1g \
	--disable-rpath --with-xdmdir=/usr/X11R6/lib/X11/kdm ; \
	fi
	make -C $(BUILDDIR)
	
	touch $(BUILDDIR)/build-stamp

clean: debian-clean
	-rm -rf $(BUILDDIR)
	find po -name "*.gmo" | xargs rm -f
	dh_clean -k

debian-clean:
	dh_testdir
	-rm -f debian/debiandirs
	-rm -f $(BUILDDIR)/build-stamp
	if test -d CVS; then \
	  make -f admin/Makefile.common cvs-clean ;\
	fi

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	make -C $(BUILDDIR) RUN_KAPPFINDER="no" install ac_xdmdir=`pwd`/debian/tmp/usr/X11R6/lib/X11/kdm
	mkdir -p debian/tmp/usr/doc/kde
	cp debian/README.kde debian/tmp/usr/doc/kde

## Install KDM
	install -d debian/tmp/etc/init.d
	install -d debian/tmp/etc/X11/kdm
	install -d debian/tmp/usr/doc/kdm
	install -d debian/tmp/usr/X11R6/lib/X11/kdm
	install -d debian/tmp/usr/share/man/man5
	install -d debian/tmp/usr/share/man/man1
	install -d debian/tmp/var/state/kdm
	install -d debian/tmp/etc/pam.d
	cp debian/kdm.1.gz debian/tmp/usr/share/man/man1
	cp debian/kdm.init.d debian/tmp/etc/init.d/kdm
	chmod +x debian/tmp/etc/init.d/kdm
# skipping CVS
	for file in debian/xdm/*; do \
	 if test -f $$file; then cp $$file debian/tmp/etc/X11/kdm ;\
        fi; done
	rm -f debian/tmp/usr/X11R6/lib/X11/kdm/*
	cp debian/README.xdm debian/tmp/usr/doc/kdm/README.Debian
	cp debian/kdm.options.5.gz debian/tmp/usr/share/man/man5
	cp debian/kdmrc debian/tmp/etc/kde
	chmod +x debian/tmp/etc/X11/kdm/Xreset* \
	debian/tmp/etc/X11/kdm/Xsetup* \
	debian/tmp/etc/X11/kdm/Xstartup* 
	cp debian/kde.pamd debian/tmp/etc/pam.d/kde
## Move on to rest
	install -d debian/tmp/usr/bin
	install -d debian/tmp/usr/X11R6/lib/X11/fonts/misc
	cp debian/kappfinder debian/tmp/usr/bin
	mv debian/tmp/usr/bin/startkde debian/tmp/usr/bin/kde
	rm -rf debian/tmp/usr/share/applnk/debian_menu
	install -d debian/tmp/usr/share/applnk/debian_menu
	cp debian/debian.kdelnk \
	      debian/tmp/usr/share/applnk/debian_menu/.directory
	dh_undocumented 
	perl -w admin/debianrules
	mv debian/tmp/usr/share/mimelnk/magic debian/tmp/etc/kde
	cp konsole/other/linux*.pcf.gz debian/tmp/usr/X11R6/lib/X11/fonts/misc
	mkdir -p debian/tmp/usr/share/apps/kdisknav/KDE
	-rm -f `find debian/ -print | grep rman`
	for file in debian/KDE/*; do \
	 if test -f $$file; then cp $$file debian/tmp/usr/share/apps/kdisknav/KDE ;\
	fi; done
	-rm -f debian/tmp/usr/share/apps/kdisknav/KDE.kdelnk
	dh_movefiles
	install -d debian/kdm/var/state/kdm
	dh_installdocs
	dh_installmenu
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	chown root.shadow debian/tmp/usr/bin/kcheckpass
	chmod 2755 debian/tmp/usr/bin/kcheckpass
	chmod 4755 debian/tmp/usr/bin/konsole_grantpty
	chmod 4755 debian/tmp/usr/bin/kvt
	chown root.root debian/kdm/etc/pam.d/kde
	chown root.root debian/kdm/var/state/kdm
	dh_suidregister
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol	
	dh_md5sums
	perl -w admin/debianrules update
	dh_builddeb

# Below here is fairly generic really

binary:		binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean checkroot

=== debian/watch ===
ftp.kde.org /pub/kde/stable/distribution/tgz/source kdebase-*.tgz debian /home/aj/debian/bin/update
